%{!?perl_vendorlib: %global perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)}

%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}

Name:		globus-gram-job-manager-slurm
%global _name %(tr - _ <<< %{name})
Version:	1.2
Release:	3%{?dist}
Summary:	Globus Toolkit - SLURM Job Manager Support

Group:		Applications/Internet
#		The slurm.pm file is BSD, the rest is ASL 2.0
License:	ASL 2.0 and BSD
URL:		http://www.globus.org/
Source:		http://www.globus.org/ftppub/gt5/5.2/5.2.5/packages/src/%{_name}-%{version}.tar.gz
#		README file
Source8:	GLOBUS-GRAM5
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:	globus-gram-job-manager >= 13
Requires:	globus-gram-job-manager-scripts >= 5
Requires:	globus-gass-cache-program >= 5
Requires:	globus-common-progs >= 14
Requires:	globus-gatekeeper >= 9
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
BuildRequires:	grid-packaging-tools >= 3.4
BuildRequires:	globus-core >= 8

Requires(preun):	globus-gram-job-manager-scripts >= 5

%description
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name} package contains:
SLURM Job Manager Support

%prep
%setup -q -n %{_name}-%{version}

%build
# Remove files that should be replaced during bootstrap
rm -f doxygen/Doxyfile*
rm -f doxygen/Makefile.am
rm -f pkgdata/Makefile.am
rm -f globus_automake*
rm -rf autom4te.cache

unset GLOBUS_LOCATION
unset GPT_LOCATION
%{_datadir}/globus/globus-bootstrap.sh

export SRUN=%{_bindir}/srun
export SBATCH=%{_bindir}/sbatch
export SALLOC=%{_bindir}/salloc
export SCANCEL=%{_bindir}/scancel
export SCONTROL=%{_bindir}/scontrol
%configure --disable-static --without-flavor \
	   --with-docdir=%{_pkgdocdir}

make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

GLOBUSPACKAGEDIR=%{buildroot}%{_datadir}/globus/packages

# Remove jobmanager-slurm from install dir - leave it for admin configuration
rm %{buildroot}/etc/grid-services/jobmanager-slurm

# Install README file
install -m 644 -p %{SOURCE8} %{buildroot}%{_pkgdocdir}/README

# List config files in each package - drop the file list
rm $GLOBUSPACKAGEDIR/%{_name}/noflavor_data.filelist
rm $GLOBUSPACKAGEDIR/%{_name}/pkg_data_noflavor_data.gpt

# Generate package filelists
cat $GLOBUSPACKAGEDIR/%{_name}/noflavor_rtl.filelist \
  | sed s!^!%{_prefix}! > package.filelist
cat $GLOBUSPACKAGEDIR/%{_name}/noflavor_doc.filelist \
  | sed -e 's!/man/.*!&*!' -e 's!^!%doc %{_prefix}!' >> package.filelist

%clean
rm -rf %{buildroot}

%preun
if [ $1 -eq 0 ]; then
    globus-gatekeeper-admin -d jobmanager-slurm > /dev/null 2>&1 || :
fi

%files -f package.filelist
%defattr(-,root,root,-)
%dir %{perl_vendorlib}/Globus
%dir %{perl_vendorlib}/Globus/GRAM
%dir %{perl_vendorlib}/Globus/GRAM/JobManager
%{_datadir}/globus/globus_gram_job_manager/slurm.rvf
%config(noreplace) %{_sysconfdir}/globus/globus-slurm.conf
%config(noreplace) %{_sysconfdir}/grid-services/available/jobmanager-slurm-poll
%dir %{_datadir}/globus/packages/%{_name}
%dir %{_pkgdocdir}
%doc %{_pkgdocdir}/README

%changelog
* Thu Jan 09 2014 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.2-3
- Remove unused configure option

* Fri Dec 13 2013 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.2-2
- Use macros consistently

* Thu Nov 07 2013 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.2-1
- Now in Globus Toolkit (5.2.5)

* Tue Apr 03 2012 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.1-2
- Bugfix update

* Thu Mar 01 2012 Emmanouil Paisios <emmanouil.paisios@lrz.de> - 0.1-1
- Created using condor package as a base
